# goodot

As of February 22, 2016 12:08pm. 56 total

## Summary
* 40 MIT
* 5 Apache 2.0
* 4 ruby
* 2 BSD
* 1 GNU GPL v2, MIT, Perl Artistic v2
* 1 GPL-2.0, LGPL-2.1, MPL-1.1, New BSD, Simplified BSD
* 1 Artistic 2.0, GPL-2, MIT
* 1 Simplified BSD
* 1 2-clause BSDL



## Items


<a name="ast"></a>
### <a href="https://whitequark.github.io/ast/">ast</a> v2.2.0
#### A library for working with Abstract Syntax Trees.

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

A library for working with Abstract Syntax Trees.

<a name="aws-sdk"></a>
### <a href="http://aws.amazon.com/sdkforruby">aws-sdk</a> v1.66.0
#### AWS SDK for Ruby V1

<a href="http://www.apache.org/licenses/LICENSE-2.0.txt">Apache 2.0</a> manually approved

>

><cite>  2016-02-22</cite>

Version 1 of the AWS SDK for Ruby. Available as both `aws-sdk` and `aws-sdk-v1`.
Use `aws-sdk-v1` if you want to load v1 and v2 of the Ruby SDK in the same
application.

<a name="aws-sdk-v1"></a>
### <a href="http://aws.amazon.com/sdkforruby">aws-sdk-v1</a> v1.66.0
#### AWS SDK for Ruby V1

<a href="http://www.apache.org/licenses/LICENSE-2.0.txt">Apache 2.0</a> manually approved

>

><cite>  2016-02-22</cite>

Version 1 of the AWS SDK for Ruby. Available as both `aws-sdk` and `aws-sdk-v1`.
Use `aws-sdk-v1` if you want to load v1 and v2 of the Ruby SDK in the same
application.

<a name="bundler"></a>
### <a href="http://bundler.io">bundler</a> v1.11.2 (development)
#### The best way to manage your application's dependencies

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

Bundler manages an application's dependencies through its entire life, across many machines, systematically and repeatably

<a name="coderay"></a>
### <a href="http://coderay.rubychan.de">coderay</a> v1.1.0
#### Fast syntax highlighting for selected languages.

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

Fast and easy syntax highlighting for selected languages, written in Ruby. Comes with RedCloth integration and LOC counter.

<a name="diff-lcs"></a>
### <a href="http://diff-lcs.rubyforge.org/">diff-lcs</a> v1.2.5
#### Diff::LCS computes the difference between two Enumerable sequences using the McIlroy-Hunt longest common subsequence (LCS) algorithm

<a href="http://opensource.org/licenses/mit-license">MIT</a>, Perl Artistic v2, GNU GPL v2 whitelisted

Diff::LCS computes the difference between two Enumerable sequences using the
McIlroy-Hunt longest common subsequence (LCS) algorithm. It includes utilities
to create a simple HTML diff output format and a standard diff-like tool.

This is release 1.2.4, fixing a bug introduced after diff-lcs 1.1.3 that did
not properly prune common sequences at the beginning of a comparison set.
Thanks to Paul Kunysch for fixing this issue.

Coincident with the release of diff-lcs 1.2.3, we reported an issue with
Rubinius in 1.9 mode
({rubinius/rubinius#2268}[https://github.com/rubinius/rubinius/issues/2268]).
We are happy to report that this issue has been resolved.

<a name="docile"></a>
### <a href="https://ms-ati.github.io/docile/">docile</a> v1.1.5
#### Docile keeps your Ruby DSLs tame and well-behaved

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

Docile turns any Ruby object into a DSL. Especially useful with the Builder pattern.

<a name="domain_name"></a>
### <a href="https://github.com/knu/ruby-domain_name">domain_name</a> v0.5.20160128
#### Domain Name manipulation library for Ruby

<a href="http://opensource.org/licenses/bsd-license">Simplified BSD</a>, <a href="http://opensource.org/licenses/BSD-3-Clause">New BSD</a>, MPL-1.1, GPL-2.0, LGPL-2.1 manually approved

>

><cite>  2016-02-22</cite>

This is a Domain Name manipulation library for Ruby.

It can also be used for cookie domain validation based on the Public
Suffix List.


<a name="erubis"></a>
### <a href="http://www.kuwata-lab.com/erubis/">erubis</a> v2.7.0
#### a fast and extensible eRuby implementation which supports multi-language

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

  Erubis is an implementation of eRuby and has the following features:

  * Very fast, almost three times faster than ERB and about 10% faster than eruby.
  * Multi-language support (Ruby/PHP/C/Java/Scheme/Perl/Javascript)
  * Auto escaping support
  * Auto trimming spaces around '<% %>'
  * Embedded pattern changeable (default '<% %>')
  * Enable to handle Processing Instructions (PI) as embedded pattern (ex. '<?rb ... ?>')
  * Context object available and easy to combine eRuby template with YAML datafile
  * Print statement available
  * Easy to extend and customize in subclass
  * Ruby on Rails support


<a name="faraday"></a>
### <a href="https://github.com/lostisland/faraday">faraday</a> v0.9.2
#### HTTP/REST API client library.

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted



<a name="faraday_middleware"></a>
### <a href="https://github.com/lostisland/faraday_middleware">faraday_middleware</a> v0.10.0
#### Various middleware for Faraday

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

Various middleware for Faraday

<a name="gli"></a>
### <a href="http://davetron5000.github.com/gli">gli</a> v2.13.4
#### Build command-suite CLI apps that are awesome.

<a href="http://www.apache.org/licenses/LICENSE-2.0.txt">Apache 2.0</a> manually approved

>

><cite>  2016-02-22</cite>

Build command-suite CLI apps that are awesome.  Bootstrap your app, add commands, options and documentation while maintaining a well-tested idiomatic command-line app

<a name="gooddata"></a>
### <a href="http://github.com/gooddata/gooddata-ruby">gooddata</a> v0.6.24
#### A convenient Ruby wrapper around the GoodData RESTful API

<a href="http://en.wikipedia.org/wiki/BSD_licenses#4-clause_license_.28original_.22BSD_License.22.29">BSD</a> whitelisted

Use the GoodData::Client class to integrate GoodData into your own application or use the CLI to work with GoodData directly from the command line.

<a name="goodot"></a>
### goodot v0.0.1 (default)
#### Goodot is about doing a project in GD in a programmatic way

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

Uaa, not right now

<a name="hashie"></a>
### <a href="https://github.com/intridea/hashie">hashie</a> v3.4.3
#### Your friendly neighborhood hash library.

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

Hashie is a collection of classes and mixins that make hashes more powerful.

<a name="highline"></a>
### <a href="https://github.com/JEG2/highline">highline</a> v1.7.8
#### HighLine is a high-level command-line IO library.

<a href="http://www.ruby-lang.org/en/LICENSE.txt">ruby</a> manually approved

>

><cite>  2016-02-22</cite>

A high-level IO library that provides validation, type conversion, and more for
command-line interfaces. HighLine also includes a complete menu system that can
crank out anything from simple list selection to complete shells with just
minutes of work.


<a name="http-cookie"></a>
### <a href="https://github.com/sparklemotion/http-cookie">http-cookie</a> v1.0.2
#### A Ruby library to handle HTTP Cookies based on RFC 6265

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

HTTP::Cookie is a Ruby library to handle HTTP Cookies based on RFC 6265.  It has with security, standards compliance and compatibility in mind, to behave just the same as today's major web browsers.  It has builtin support for the legacy cookies.txt and the latest cookies.sqlite formats of Mozilla Firefox, and its modular API makes it easy to add support for a new backend store.

<a name="httparty"></a>
### <a href="http://jnunemaker.github.com/httparty">httparty</a> v0.13.7
#### Makes http fun! Also, makes consuming restful web services dead easy.

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

Makes http fun! Also, makes consuming restful web services dead easy.

<a name="json"></a>
### <a href="http://flori.github.com/json">json</a> v1.8.3
#### JSON Implementation for Ruby

<a href="http://www.ruby-lang.org/en/LICENSE.txt">ruby</a> manually approved

>

><cite>  2016-02-22</cite>

This is a JSON implementation as a Ruby extension in C.

<a name="json_pure"></a>
### <a href="http://flori.github.com/json">json_pure</a> v1.8.3
#### JSON Implementation for Ruby

<a href="http://www.ruby-lang.org/en/LICENSE.txt">ruby</a> manually approved

>

><cite>  2016-02-22</cite>

This is a JSON implementation in pure Ruby.

<a name="license_finder"></a>
### <a href="https://github.com/pivotal/LicenseFinder">license_finder</a> v2.0.4 (development)
#### Audit the OSS licenses of your application's dependencies.

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

    LicenseFinder works with your package managers to find
    dependencies, detect the licenses of the packages in them, compare
    those licenses against a user-defined whitelist, and give you an
    actionable exception report.


<a name="method_source"></a>
### <a href="http://banisterfiend.wordpress.com">method_source</a> v0.8.2
#### retrieve the sourcecode for a method

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

retrieve the sourcecode for a method

<a name="mime-types"></a>
### <a href="https://github.com/mime-types/ruby-mime-types/">mime-types</a> v2.99
#### The mime-types library provides a library and registry for information about MIME content type definitions

<a href="http://opensource.org/licenses/mit-license">MIT</a>, Artistic 2.0, GPL-2 whitelisted

The mime-types library provides a library and registry for information about
MIME content type definitions. It can be used to determine defined filename
extensions for MIME types, or to use filename extensions to look up the likely
MIME type definitions.

This is release 2.99, the deprecation version of mime-types 2.x, where
deprecation warnings are noisy and data that has been deprecated is now no
longer available. The data is both dropped from the data files and is stubbed
out as empty or +nil+ values as appropriate.

mime-types-2.6 was the last version of mime-types 2.x with newly available
features, and mime-types 2.99 will only receive quarterly updates to the IANA
registered MIME media types plus any security updates that may be required.

If the loss of the deprecated data matters, be sure to set your dependency
appropriately:

   gem 'mime-types', '~> 2.6, < 2.99'

<a name="mini_portile2"></a>
### <a href="http://github.com/flavorjones/mini_portile">mini_portile2</a> v2.0.0
#### Simplistic port-like solution for developers

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

Simplistic port-like solution for developers. It provides a standard and simplified way to compile against dependency libraries without messing up your system.

<a name="multi_json"></a>
### <a href="http://github.com/intridea/multi_json">multi_json</a> v1.11.2
#### A common interface to multiple JSON libraries.

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

A common interface to multiple JSON libraries, including Oj, Yajl, the JSON gem (with C-extensions), the pure-Ruby JSON gem, NSJSONSerialization, gson.rb, JrJackson, and OkJson.

<a name="multi_xml"></a>
### <a href="https://github.com/sferik/multi_xml">multi_xml</a> v0.5.5
#### A generic swappable back-end for XML parsing

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

Provides swappable XML backends utilizing LibXML, Nokogiri, Ox, or REXML.

<a name="multipart-post"></a>
### <a href="https://github.com/nicksieger/multipart-post">multipart-post</a> v2.0.0
#### A multipart form post accessory for Net::HTTP.

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

Use with Net::HTTP to do multipart form posts.  IO values that have #content_type, #original_filename, and #local_path will be posted as a binary file.

<a name="netrc"></a>
### <a href="https://github.com/geemus/netrc">netrc</a> v0.11.0
#### Library to read and write netrc files.

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

This library can read and update netrc files, preserving formatting including comments and whitespace.

<a name="nokogiri"></a>
### <a href="http://nokogiri.org">nokogiri</a> v1.6.7.2
#### Nokogiri (鋸) is an HTML, XML, SAX, and Reader parser

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

Nokogiri (鋸) is an HTML, XML, SAX, and Reader parser.  Among
Nokogiri's many features is the ability to search documents via XPath
or CSS3 selectors.

XML is like violence - if it doesn’t solve your problems, you are not
using enough of it.

<a name="parseconfig"></a>
### <a href="http://github.com/datafolklabs/ruby-parseconfig/">parseconfig</a> v1.0.8
#### Config File Parser for Standard Unix/Linux Type Config Files

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

ParseConfig provides simple parsing of standard configuration files in the form of 'param = value'.  It also supports nested [group] sections.

<a name="parser"></a>
### <a href="https://github.com/whitequark/parser">parser</a> v2.3.0.2
#### A Ruby parser written in pure Ruby.

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

A Ruby parser written in pure Ruby.

<a name="pmap"></a>
### <a href="https://github.com/bruceadams/pmap">pmap</a> v1.1.1
#### Add parallel methods into Enumerable: pmap and peach

<a href="http://www.apache.org/licenses/LICENSE-2.0.txt">Apache 2.0</a> manually approved

>

><cite>  2016-02-22</cite>

Add parallel methods into Enumerable: pmap and peach

<a name="powerpack"></a>
### <a href="https://github.com/bbatsov/powerpack">powerpack</a> v0.1.1
#### A few useful extensions to core Ruby classes.

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

A few useful extensions to core Ruby classes.

<a name="pry"></a>
### <a href="http://pry.github.com">pry</a> v0.9.12.6
#### An IRB alternative and runtime developer console

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

An IRB alternative and runtime developer console

<a name="rainbow"></a>
### <a href="https://github.com/sickill/rainbow">rainbow</a> v2.1.0
#### Colorize printed text on ANSI terminals

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

Colorize printed text on ANSI terminals

<a name="rake"></a>
### <a href="https://github.com/ruby/rake">rake</a> v10.5.0 (development)
#### Rake is a Make-like program implemented in Ruby

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

Rake is a Make-like program implemented in Ruby. Tasks and dependencies are
specified in standard Ruby syntax.

Rake has the following features:

* Rakefiles (rake's version of Makefiles) are completely defined in
  standard Ruby syntax.  No XML files to edit.  No quirky Makefile
  syntax to worry about (is that a tab or a space?)

* Users can specify tasks with prerequisites.

* Rake supports rule patterns to synthesize implicit tasks.

* Flexible FileLists that act like arrays but know about manipulating
  file names and paths.

* A library of prepackaged tasks to make building rakefiles easier. For example,
  tasks for building tarballs and publishing to FTP or SSH sites.  (Formerly
  tasks for building RDoc and Gems were included in rake but they're now
  available in RDoc and RubyGems respectively.)

* Supports parallel execution of tasks.

<a name="rest-client"></a>
### <a href="https://github.com/rest-client/rest-client">rest-client</a> v1.8.0
#### Simple HTTP and REST client for Ruby, inspired by microframework syntax for specifying actions.

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

A simple HTTP and REST client for Ruby, inspired by the Sinatra microframework style of specifying actions: get, put, post, delete.

<a name="restforce"></a>
### <a href="https://github.com/ejholmes/restforce">restforce</a> v2.1.2
#### A lightweight ruby client for the Salesforce REST API.

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

A lightweight ruby client for the Salesforce REST API.

<a name="rspec"></a>
### <a href="http://github.com/rspec">rspec</a> v3.4.0 (development)
#### rspec-3.4.0

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

BDD for Ruby

<a name="rspec-core"></a>
### <a href="http://github.com/rspec/rspec-core">rspec-core</a> v3.4.2
#### rspec-core-3.4.2

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

BDD for Ruby. RSpec runner and example groups.

<a name="rspec-expectations"></a>
### <a href="http://github.com/rspec/rspec-expectations">rspec-expectations</a> v3.4.0
#### rspec-expectations-3.4.0

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

rspec-expectations provides a simple, readable API to express expected outcomes of a code example.

<a name="rspec-mocks"></a>
### <a href="http://github.com/rspec/rspec-mocks">rspec-mocks</a> v3.4.1
#### rspec-mocks-3.4.1

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

RSpec's 'test double' framework, with support for stubbing and mocking

<a name="rspec-support"></a>
### <a href="https://github.com/rspec/rspec-support">rspec-support</a> v3.4.1
#### rspec-support-3.4.1

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

Support utilities for RSpec gems

<a name="rubocop"></a>
### <a href="http://github.com/bbatsov/rubocop">rubocop</a> v0.36.0 (development)
#### Automatic Ruby code style checking tool.

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

    Automatic Ruby code style checking tool.
    Aims to enforce the community-driven Ruby Style Guide.


<a name="ruby-progressbar"></a>
### <a href="https://github.com/jfelchner/ruby-progressbar">ruby-progressbar</a> v1.7.5
#### Ruby/ProgressBar is a flexible text progress bar library for Ruby.

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

Ruby/ProgressBar is an extremely flexible text progress bar library for Ruby.
The output can be customized with a flexible formatting system including:
percentage, bars of various formats, elapsed time and estimated time remaining.


<a name="rubyzip"></a>
### <a href="http://github.com/rubyzip/rubyzip">rubyzip</a> v1.1.7
#### rubyzip is a ruby module for reading and writing zip files

<a href="http://opensource.org/licenses/bsd-license">Simplified BSD</a> manually approved

>

><cite>  2016-02-22</cite>



<a name="salesforce_bulk_query"></a>
### <a href="https://github.com/cvengros/salesforce_bulk_query">salesforce_bulk_query</a> v0.2.0
#### Downloading data from Salesforce Bulk API made easy and scalable.

<a href="http://en.wikipedia.org/wiki/BSD_licenses#4-clause_license_.28original_.22BSD_License.22.29">BSD</a> whitelisted

A library for downloading data from Salesforce Bulk API. We only focus on querying, other operations of the API aren't supported. Designed to handle a lot of data.

<a name="simplecov"></a>
### <a href="http://github.com/colszowka/simplecov">simplecov</a> v0.11.1 (development)
#### Code coverage for Ruby 1.9+ with a powerful configuration library and automatic merging of coverage across test suites

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

Code coverage for Ruby 1.9+ with a powerful configuration library and automatic merging of coverage across test suites

<a name="simplecov-html"></a>
### <a href="https://github.com/colszowka/simplecov-html">simplecov-html</a> v0.10.0
#### Default HTML formatter for SimpleCov code coverage tool for ruby 1.9+

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

Default HTML formatter for SimpleCov code coverage tool for ruby 1.9+

<a name="slop"></a>
### <a href="http://github.com/leejarvis/slop">slop</a> v3.6.0
#### Simple Lightweight Option Parsing

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

A simple DSL for gathering options and parsing the command line

<a name="terminal-table"></a>
### <a href="https://github.com/tj/terminal-table">terminal-table</a> v1.5.2
#### Simple, feature rich ascii table generation library

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted



<a name="thor"></a>
### <a href="http://whatisthor.com/">thor</a> v0.19.1
#### Thor is a toolkit for building powerful command-line interfaces.

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

Thor is a toolkit for building powerful command-line interfaces.

<a name="thread_safe"></a>
### <a href="https://github.com/ruby-concurrency/thread_safe">thread_safe</a> v0.3.5
#### A collection of data structures and utilities to make thread-safe programming in Ruby easier

<a href="http://www.apache.org/licenses/LICENSE-2.0.txt">Apache 2.0</a> manually approved

>

><cite>  2016-02-22</cite>

Thread-safe collections and utilities for Ruby

<a name="unf"></a>
### <a href="https://github.com/knu/ruby-unf">unf</a> v0.1.4
#### A wrapper library to bring Unicode Normalization Form support to Ruby/JRuby

2-clause BSDL manually approved

>

><cite>  2016-02-22</cite>

This is a wrapper library to bring Unicode Normalization Form support
to Ruby/JRuby.


<a name="unf_ext"></a>
### <a href="https://github.com/knu/ruby-unf_ext">unf_ext</a> v0.0.7.1
#### Unicode Normalization Form support library for CRuby

<a href="http://opensource.org/licenses/mit-license">MIT</a> whitelisted

Unicode Normalization Form support library for CRuby

<a name="xml-simple"></a>
### <a href="https://github.com/maik/xml-simple">xml-simple</a> v1.1.5
#### A simple API for XML processing.

<a href="http://www.ruby-lang.org/en/LICENSE.txt">ruby</a> manually approved

>

><cite>  2016-02-22</cite>


