require_relative '../shared'

module GoodData
  module GoodotCLI
    desc 'Jacks you in to work interactively with your project.'
    command ['jack-in', 'jack_in'] do |c|
      c.action do |global_options, _options, _args|
        client = global_options[:gd_client]
        domain = global_options[:gd_domain]
        binding.pry(quiet: true, # rubocop:disable Lint/Debugger
                    prompt: [proc do |_target_self, _nest_level, _pry|
                      'app_live_session: '
                    end])
      end
    end
  end
end
