# encoding: UTF-8
#
# Copyright (c) 2010-2016 GoodData Corporation. All rights reserved.
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

require_relative '../../version'
require_relative '../shared'

module GoodData
  module GoodotCLI
    desc 'Print version info'
    skips_pre
    command :version do |c|
      c.action do |_global_options, _options, _args|
        puts GoodData::Goodot::VERSION
      end
    end
  end
end
